Bug 1659975 (CVE-2018-20167) - CVE-2018-20167 terminology: Incorrect escaping of crafted files results in code execution
Summary: CVE-2018-20167 terminology: Incorrect escaping of crafted files results in co...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-20167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1659977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 10:03 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
2 users (show)

Fixed In Version: terminology 1.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:02 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-17 10:03:38 UTC
Terminology before 1.3.1 allows Remote Code Execution because popmedia is mishandled, as demonstrated by an unsafe "cat README.md" command when \e}pn is used. A popmedia control sequence can allow the malicious execution of executable file formats registered in the X desktop share MIME types (/usr/share/applications). The control sequence defers unknown file types to the handle_unknown_media() function, which executes xdg-open against the filename specified in the sequence. The use of xdg-open for all unknown file types allows executable file formats with a registered shared MIME type to be executed. An attacker can achieve remote code execution by introducing an executable file and a plain text file containing the control sequence through a fake software project (e.g., in Git or a tarball). When the control sequence is rendered (such as with cat), the executable file will be run.

References:

https://www.enlightenment.org/news/2018-12-16-terminology-1.3.1
https://phab.enlightenment.org/T7504https://phab.enlightenment.org/T7504
https://phab.enlightenment.org/rTRM1ac204da9148e7bccb1b5f34b523e2094dfc39e2

Comment 1 Andrej Nemec 2018-12-17 10:03:56 UTC
Created terminology tracking bugs for this issue:

Affects: fedora-all [bug 1659977]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.